Subject: bug#48635: closed (Re: [bug#48635] [PATCH 2/3] gnu: Add emacs-geiser-racket.)

From: [email-masked] (GNU bug Tracking System)
Date: Tue, 25 May 2021 09:37:02 +0000

Your bug report

#48635: [PATCH 0/3] Update emacs-geiser, emacs-geiser-guile and add emacs-geiser-racket

which was filed against the guix-patches package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
48635: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=48635
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: [bug#48635] [PATCH 2/3] gnu: Add emacs-geiser-racket.
From: Nicolas Goaziou <[email-masked]>
To: David Dashyan <[email-masked]>
Cc: [email-masked]
Date: Tue, 25 May 2021 11:36:49 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello,

David Dashyan <[email-masked]> writes:

> ---
>  gnu/packages/emacs-xyz.scm | 44 ++++++++++++++++++++++++++++++++++++++
>  1 file changed, 44 insertions(+)

Thank you!

I tweaked the commit message and applied this patch. I dropped the other
two because they were a duplicate of bug#48537.

I forgot to add a copyright line for you in "emacs-xyz.scm". I'll do
that shortly.

Regards,
-- 
Nicolas Goaziou

Subject: [PATCH 0/3] Update emacs-geiser, emacs-geiser-guile and add emacs-geiser-racket
From: David Dashyan <[email-masked]>
To: [email-masked]
Cc: David Dashyan <[email-masked]>
Date: Tue, 25 May 2021 00:31:50 +0300
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello guix! I packaged emacs-geiser-racket today and found that emacs-geiser
emacs-geiser-guile a bit outdated.  Here are the patches!  Beware that I
havent used them extensively yet.  They load, and repl starts fine for guile
and racket so shouldn't much problem I guess.

Patch files that were included with packages are no longer needed since
autoloading fixes are now in geiser upsteam.

David Dashyan (3):
  gnu: emacs-geiser: Update to 0.16.
  gnu: Add emacs-geiser-racket.
  gnu: emacs-geiser-guile: Update to 0.17.

 gnu/local.mk                                  |  2 -
 gnu/packages/emacs-xyz.scm                    | 57 ++++++++++++++++---
 ...ser-autoload-activate-implementation.patch | 26 ---------
 .../emacs-geiser-guile-auto-activate.patch    | 34 -----------
 4 files changed, 49 insertions(+), 70 deletions(-)
 delete mode 100644 gnu/packages/patches/emacs-geiser-autoload-activate-implementation.patch
 delete mode 100644 gnu/packages/patches/emacs-geiser-guile-auto-activate.patch

base-commit: 488fc3d2e6e0a3d5fc4fe747587cf831989ece58
-- 
2.31.1